## linphone-0.12.0.tar.gz

=== ffmpeg/Makefile ===
# Main ffmpeg Makefile
# (c) 2000, 2001 Gerard Lantau
#
include config.mak

CFLAGS= $(OPTFLAGS) -Wall -g -I./libavcodec -I./libav 
LDFLAGS= -g 
ifeq ($(TARGET_GPROF),yes)
CFLAGS+=-p
LDFLAGS+=-p
endif

PROG= ffmpeg ffserver

all:

lib:
	$(MAKE) -C libavcodec all
	$(MAKE) -C libav all

ffmpeg: ffmpeg.o libav/libav.a libavcodec/libavcodec.a
	gcc $(LDFLAGS) -o $@ $^ -lm

ffserver: ffserver.o libav/libav.a libavcodec/libavcodec.a
	gcc $(LDFLAGS) -o $@ $^ -lm

%.o: %.c
	gcc $(CFLAGS) -c -o $@ $< 

install:

clean: 
	$(MAKE) -C libavcodec clean
	$(MAKE) -C libav clean
	rm -f *.o *~ gmon.out TAGS $(PROG) 

distclean: clean
	$(MAKE) -C libavcodec distclean
	rm -f config.mak config.h

TAGS:
	etags *.[ch] libav/*.[ch] libavcodec/*.[ch]
	
	
distdir:
	cp -rf * $(distdir)/.
	cd $(distdir); $(MAKE) distclean

install:

uninstall:

=== debian/changelog ===
linphone (0.12.0-1) unstable; urgency=low

  * New Release.

 -- Simon Morlat <simon.morlat@linphone.org>  Wed, 20 Aug 2003 09:00:00 +0200

linphone (0.11.0-1) unstable; urgency=low

  * New Release.

 -- Simon Morlat <simon.morlat@linphone.org>  Sun, 13 April 2003 09:00:00 +0200

linphone (0.10.1-1) unstable; urgency=low

  * New Release.

 -- Simon Morlat <simon.morlat@linphone.org>  Sat, 19 March 2003 09:00:00 +0200

linphone (0.10.0-1) unstable; urgency=low

  * New Release.

 -- Simon Morlat <simon.morlat@linphone.org>  Mon, 27 Jan 2003 09:00:00 +0200

linphone (0.9.1-1) unstable; urgency=low

  * New Release.

 -- Simon Morlat <simon.morlat@linphone.org>  Mon, 15 Oct 2002 09:00:00 +0200

linphone (0.9.0-1) unstable; urgency=low

  * New Release.

 -- Simon Morlat <simon.morlat@linphone.org>  Mon, 26 Aug 2002 21:00:00 +0200

linphone (0.9.0pre3-1) unstable; urgency=low

  * New Release.

 -- Simon Morlat <simon.morlat@linphone.org>  Wed, 7 Aug 2002 20:17:00 +0200

linphone (0.8.0-1) unstable; urgency=low

  * New Release.

 -- Simon Morlat <simon.morlat@linphone.org>  Wed, 5 June 2002 21:09:00 +0100

linphone (0.7.0-1) unstable; urgency=low

  * New Release.

 -- Uwe Steinmann <uwe@steinmann.cx>  Wed, 7 Mar 2002 08:29:57 +0100

linphone (0.6.0-1) unstable; urgency=low

  * Initial Release.

 -- Uwe Steinmann <uwe@steinmann.cx>  Thu, 28 Feb 2002 08:29:57 +0100

=== debian/control ===
Source: linphone
Section: sound
Priority: optional
Maintainer: Uwe Steinmann <uwe@steinmann.cx>
Build-Depends: debhelper (>> 3.0.0), libosip0-dev (>= 0.9.6), libasound2-dev (>=0.9.4)
Standards-Version: 3.5.2

Package: linphone
Architecture: any
Depends: ${shlibs:Depends}, libosip0 (>= 0.9.6), libspeex1, libasound2 (>=0.9.4)
Description: A sip phone
 Linphone is a web phone: it let you phone to your friends anywhere in the
 whole world, freely, simply by using the internet. It is compatible with the
 well known SIP protocol.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --disable-static --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/linphone.sgml > linphone.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-make clean
	-make distclean
	-test -r /usr/share/misc/config.sub && \
	  -cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  -cp -f /usr/share/misc/config.guess config.guess


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/linphone.
	$(MAKE) install PIXDESTDIR=$(CURDIR)/debian/linphone prefix=$(CURDIR)/debian/linphone/usr sysconfdir=$(CURDIR)/debian/linphone/etc
	# remove speex libs, in order to not to conflict with speex debian package.
	rm -f 	$(CURDIR)/debian/linphone/usr/lib/libspeex* \
			$(CURDIR)/debian/linphone/usr/bin/speex* \
			$(CURDIR)/debian/linphone/usr/include/speex* \
			$(CURDIR)/debian/linphone/usr/share/man/man1/speex*

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
